#ifndef INPAINTER_H
#define INPAINTER_H
#include <windows.h>

struct InpainterSharedMemory_t
{
    // size of shared memory.
    unsigned size;

    unsigned width;  // width of image
    unsigned height; // height of image.

    HWND hwnd; // Window to notify.
    unsigned iterationDoneMsg; // Message to send when finished an iteration.
    unsigned iterationProgress; // Message to send in response to INPAINTER_GET_PROGRESS
    unsigned iterationParam; // WParam for above messages.

    // Image data. We first have 3 * width * height bytes of RGB colour data. 
    // This is followed by width * height bytes of mask data.
    unsigned char data[1];
};

enum InpainterCommands {
    INPAINTER_GET_PROGRESS = 1000,
    INPAINTER_NEXT_ITERATION
};

#endif // INPAINTER_H
